ocaml-mode: Invalid syntax description flag: "()1n"

Bug #464587 reported by Caroline Becker
228
This bug affects 46 people
Affects Status Importance Assigned to Milestone
ocaml (Debian)
Fix Released
Unknown
ocaml (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Jonathan Reed

Bug Description

Binary package hint: xemacs21

problem with dependencies with ocaml-mode

ProblemType: Package
Architecture: i386
Date: Fri Oct 30 11:35:40 2009
DistroRelease: Ubuntu 9.10
ErrorMessage:
 ErrorMessage: le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
NonfreeKernelModules: nvidia
Package: xemacs21-mule 21.4.22-2ubuntu1
ProcVersionSignature: Ubuntu 2.6.28-13.45-generic
SourcePackage: xemacs21
Title: package xemacs21-mule 21.4.22-2ubuntu1 failed to install/upgrade:
Uname: Linux 2.6.28-13-generic i686

Revision history for this message
Caroline Becker (carobecker54) wrote :
Revision history for this message
era (era) wrote :

Quoting VarLogDistupgradeTermlog.gz:
> Compiling /usr/share/xemacs21/site-lisp/ocaml-mode/camldebug.el...
> While compiling toplevel forms in file /usr/share/xemacs21/site-lisp/ocaml-mode/camldebug.el:
> !! error (("Invalid syntax description flag: \"()1n\""))
> >>Error occurred processing camldebug.el:
> Invalid syntax description flag: "()1n"

Reassigning to ocaml-mode; masking as Confirmed based on duplicates (not yet marked).

affects: xemacs21 (Ubuntu) → ocaml (Ubuntu)
Changed in ocaml (Ubuntu):
status: New → Confirmed
summary: - migration from9.04 to 9.10 crashes during emacs 21 installation
+ ocaml-mode: Invalid syntax description flag: "()1n"
Revision history for this message
Mehdi (mehdid) wrote :

The has been committed in the Git repository and will be fixed during the next update of OCaml.

Changed in ocaml (Ubuntu):
status: Confirmed → Fix Committed
Revision history for this message
Robert Jakob (rj-robertjakob) wrote :

Any progress here? It still does not work for me in 10.04.
Same error message.

Revision history for this message
Robert Jakob (rj-robertjakob) wrote :

Direct discussion with one of the Debian OCaml Maintainers yields the following solution:
- xemacs21 must not be installed!
- When emacs23 is installed and ocaml-mode is installed afterwards, no error occurs.

Revision history for this message
era (era) wrote :

So the fix which has been committed and is pending upload in Debian is a simple Conflicts: xemacs21 then? Any chance when they could upload it so that Ubuntu can try to sync?

Revision history for this message
Mehdi (mehdid) wrote :

I uploaded the package to Debian unstable (and will migrate to Squeeze). It's fixed now on Debian's side.

Changed in ocaml (Debian):
status: Unknown → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocaml - 3.11.2-2

---------------
ocaml (3.11.2-2) unstable; urgency=low

  * debian/ocaml-mode.emacs-install: do not byte-compile camldebug.el
    and inf-caml.el for xemacs21 (Closes: #508813, LP: #464587).
 -- Ubuntu Archive Auto-Sync <email address hidden> Fri, 15 Oct 2010 09:51:01 +0000

Changed in ocaml (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.